various fixes
[distro-setup] / mount-latest-remote
index 406a1e9f00378fef78f02c92fcf6c935f02e57cf..2b5ca59fd81bfdf4efbf27385e22e86bfca3b3c5 100755 (executable)
@@ -19,22 +19,17 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 script_dir=$(dirname $(readlink -f "$BASH_SOURCE"))
 
 if [[ ! $@ ]]; then
-    echo "mount-latest-remote: error: expected 1 or more host arguments"
-    exit 1
+  echo "mount-latest-remote: error: expected 1 or more host arguments"
+  exit 1
 fi
 ret=0
 
 for tg; do
-    scp $script_dir/{mount-latest-subvol,check-subvol-stale} \
-        root@$tg:/usr/local/bin
-    if ! ssh root@$tg bash <<'EOF'
+  scp $script_dir/{mount-latest-subvol,check-subvol-stale} \
+      root@$tg:/usr/local/bin
+  ssh root@$tg bash <<'EOF'
 set -e
 chmod +x /usr/local/bin/{mount-latest-subvol,check-subvol-stale}
 /usr/local/bin/mount-latest-subvol
 EOF
-    then
-        echo "$0: warning: failed mount-latest-subvol on $tg"
-        ret=1
-    fi
 done
-exit $ret